PDF::API2::Resource::Font::BdFont(3)

NAME
PDF::API2::Resource::Font::BdFont - Module for using bitmapped Fonts.

SYNOPSIS
    #
    use PDF::API2;
    #
    $pdf = PDF::API2->new;
    $sft = $pdf->bdfont($file);
    #

METHODS

$font = PDF::API2::Resource::Font::BdFont->new $pdf, $font, %options
    Returns a BmpFont object.

    Valid %options are:

    -encode ... changes the encoding of the font from its default. See perl's Encode for the supported values.

    -pdfname ... changes the reference-name of the font from its default. The reference-name is normally generated automatically and can be retrieved via $pdfname=$font->name.

AUTHOR
alfred reibenschuh